Package org.jbpm.services.task.persistence

## Class TaskTransactionInterceptor.TransactionContext

- java.lang.Object
- - org.jbpm.services.task.persistence.TaskTransactionInterceptor.TransactionContext

- All Implemented Interfaces:
    `org.kie.api.runtime.Context`, `org.kie.api.runtime.RequestContext`, `org.kie.api.task.TaskContext`, `org.kie.internal.task.api.TaskContext`
  Enclosing class:
    TaskTransactionInterceptor

      public class TaskTransactionInterceptor.TransactionContext
      extends Object
      implements org.kie.internal.task.api.TaskContext, org.kie.api.runtime.RequestContext

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransactionContext​(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `get​(String identifier)` |
    `org.kie.api.runtime.Context` | `getApplicationContext()` |
    `org.kie.api.runtime.Context` | `getConversationContext()` |
    `String` | `getName()` |
    `Map<String,​Object>` | `getOutputs()` |
    `org.kie.internal.task.api.TaskPersistenceContext` | `getPersistenceContext()` |
    `Object` | `getResult()` |
    `org.kie.api.task.UserGroupCallback` | `getUserGroupCallback()` |
    `String` | `getUserId()` |
    `boolean` | `has​(String identifier)` |
    `org.kie.api.task.model.Task` | `loadTaskVariables​(org.kie.api.task.model.Task task)` |
    `void` | `remove​(String identifier)` |
    `void` | `removeOutput​(String identifier)` |
    `void` | `set​(String identifier, Object value)` |
    `void` | `setOutput​(String identifier, Object value)` |
    `void` | `setPersistenceContext​(org.kie.internal.task.api.TaskPersistenceContext context)` |
    `void` | `setResult​(Object result)` |
    `void` | `setUserId​(String userId)` |
    `org.kie.api.runtime.RequestContext` | `with​(org.kie.api.KieBase kieBase)` |
    `org.kie.api.runtime.RequestContext` | `with​(org.kie.api.runtime.KieSession kieSession)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.runtime.RequestContext

      `getOutput, hasOutput`

- - ### Constructor Detail

    - #### TransactionContext

          public TransactionContext​(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

  - ### Method Detail

    - #### set

          public void set​(String identifier,
                          Object value)

      Specified by:
        `set` in interface `org.kie.api.runtime.Context`

    - #### remove

          public void remove​(String identifier)

      Specified by:
        `remove` in interface `org.kie.api.runtime.Context`

    - #### has

          public boolean has​(String identifier)

      Specified by:
        `has` in interface `org.kie.api.runtime.Context`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.kie.api.runtime.Context`

    - #### get

          public Object get​(String identifier)

      Specified by:
        `get` in interface `org.kie.api.runtime.Context`

    - #### setPersistenceContext

          public void setPersistenceContext​(org.kie.internal.task.api.TaskPersistenceContext context)

      Specified by:
        `setPersistenceContext` in interface `org.kie.internal.task.api.TaskContext`

    - #### getPersistenceContext

          public org.kie.internal.task.api.TaskPersistenceContext getPersistenceContext()

      Specified by:
        `getPersistenceContext` in interface `org.kie.internal.task.api.TaskContext`

    - #### getUserGroupCallback

          public org.kie.api.task.UserGroupCallback getUserGroupCallback()

      Specified by:
        `getUserGroupCallback` in interface `org.kie.api.task.TaskContext`
      Specified by:
        `getUserGroupCallback` in interface `org.kie.internal.task.api.TaskContext`

    - #### loadTaskVariables

          public org.kie.api.task.model.Task loadTaskVariables​(org.kie.api.task.model.Task task)

      Specified by:
        `loadTaskVariables` in interface `org.kie.api.task.TaskContext`

    - #### getResult

          public Object getResult()

      Specified by:
        `getResult` in interface `org.kie.api.runtime.RequestContext`

    - #### setResult

          public void setResult​(Object result)

      Specified by:
        `setResult` in interface `org.kie.api.runtime.RequestContext`

    - #### with

          public org.kie.api.runtime.RequestContext with​(org.kie.api.KieBase kieBase)

      Specified by:
        `with` in interface `org.kie.api.runtime.RequestContext`

    - #### with

          public org.kie.api.runtime.RequestContext with​(org.kie.api.runtime.KieSession kieSession)

      Specified by:
        `with` in interface `org.kie.api.runtime.RequestContext`

    - #### getConversationContext

          public org.kie.api.runtime.Context getConversationContext()

      Specified by:
        `getConversationContext` in interface `org.kie.api.runtime.RequestContext`

    - #### getApplicationContext

          public org.kie.api.runtime.Context getApplicationContext()

      Specified by:
        `getApplicationContext` in interface `org.kie.api.runtime.RequestContext`

    - #### getOutputs

          public Map<String,​Object> getOutputs()

      Specified by:
        `getOutputs` in interface `org.kie.api.runtime.RequestContext`

    - #### setOutput

          public void setOutput​(String identifier,
                                Object value)

      Specified by:
        `setOutput` in interface `org.kie.api.runtime.RequestContext`

    - #### removeOutput

          public void removeOutput​(String identifier)

      Specified by:
        `removeOutput` in interface `org.kie.api.runtime.RequestContext`

    - #### getUserId

          public String getUserId()

      Specified by:
        `getUserId` in interface `org.kie.api.task.TaskContext`

    - #### setUserId

          public void setUserId​(String userId)

      Specified by:
        `setUserId` in interface `org.kie.internal.task.api.TaskContext`